<?
global $settings;

if ( is_array( $this -> pages ) )
{
  echo '<ul class="level-' . $this -> level . '" id="submenu-' . $this -> page_id . '">';
    foreach ( $this -> pages as $page )
    {
      $url = "";
      if ( $settings['links_structure'] )
      {
        if ( $page['language']['seo_link'] )
          $url = '/'.\admin\factory\Pages::google_url_preview( $page['id'], $page['language']['title'], $page['language']['lang_id'], 0, 0, $page['language']['seo_link'] );
        else
          $url = '/'. \admin\factory\Pages::google_url_preview( $page['id'], $page['language']['title'], $page['language']['lang_id'], 0, 0, 0 );
      }
      else
        $page['language']['seo_link'] ? $url = '/' . $page['language']['seo_link'] : $url = '/s-' . $page['id'] . '-' . \S::seo( $page['language']['title'] );

      if ( $page['page_type'] == 3 and $page['language']['link'] )
        $url = $page['language']['link'];

      echo '<li id="link-' . $page['id'] . '" class="'; if ( $page['id'] == $this -> current_page ) echo ' active'; echo '">';
        echo '<a href="';
          if ( \S::get_session( 'current-lang' ) != \front\factory\Languages::default_language() and $url != '#' )
            echo '/' . \S::get_session( 'current-lang' );
          echo $url . '"'; if ( $page['language']['noindex'] ) echo 'rel="nofollow"'; echo ' title="' . $page['language']['title'] . '"'; if ( is_array( $page['pages'] ) ) echo "class='menu-trigger'";  echo '>';
          echo $page['language']['title'];
          if ( is_array( $page['pages'] ) )
            echo '<i class="fa fa-chevron-down"></i>';
        echo '</a>';
        echo \front\view\Menu::submenu( $page['pages'], $this -> current_page, $this -> page_id, $this -> level + 1 );
      echo '</li>';
    }
  echo '</ul>';
}